org.eclipse.emf.cdo.server

## Interface IStoreAccessor.DurableLocking

- All Superinterfaces:
    IDurableLockingManager
  All Known Subinterfaces:
    ILissomeStoreAccessor, IStoreAccessor.DurableLocking2
  Enclosing interface:
    IStoreAccessor

      public static interface IStoreAccessor.DurableLocking
      extends IDurableLockingManager

  An extension interface for `store accessors` that support durable locking.
  Since:
    4.0
  Author:
    Eike Stepper
  See Also:
    `IStoreAccessor.DurableLocking2`

- - ### Nested Class Summary

    - ### Nested classes/interfaces inherited from interface org.eclipse.emf.cdo.common.lock.IDurableLockingManager

      `IDurableLockingManager.LockArea, IDurableLockingManager.LockAreaAlreadyExistsException, IDurableLockingManager.LockAreaNotFoundException, IDurableLockingManager.LockGrade`

  - ### Method Summary

    All Methods Instance Methods Abstract Methods
    Modifier and Type | Method and Description
    --- | ---
    `void` | `lock(java.lang.String durableLockingID, IRWLockManager.LockType type, java.util.Collection<? extends java.lang.Object> objectsToLock)`
    `void` | `unlock(java.lang.String durableLockingID)`
    `void` | `unlock(java.lang.String durableLockingID, IRWLockManager.LockType type, java.util.Collection<? extends java.lang.Object> objectsToUnlock)`

    - ### Methods inherited from interface org.eclipse.emf.cdo.common.lock.IDurableLockingManager

      `createLockArea, deleteLockArea, getLockArea, getLockAreas`

- - ### Method Detail

    - #### lock

          void lock(java.lang.String durableLockingID,
                    IRWLockManager.LockType type,
                    java.util.Collection<? extends java.lang.Object> objectsToLock)

    - #### unlock

          void unlock(java.lang.String durableLockingID,
                      IRWLockManager.LockType type,
                      java.util.Collection<? extends java.lang.Object> objectsToUnlock)

    - #### unlock

          void unlock(java.lang.String durableLockingID)

Copyright (c) 2004-2019 Eike Stepper (Loehne, Germany) and others.
All rights reserved. This program and the accompanying materials are made available under the terms of the Eclipse Public License v1.0 which accompanies this distribution, and is available at http://www.eclipse.org/legal/epl-v10.html